<?php
/**
 * Language switcher template
 */
/** @var \IMI\StoreSwitch\ViewModel\StoreSwitchModel $viewModel */
/** @var Magento\Store\Block\Switcher $block */
$viewModel = $block->getData('view_model');
$context = $block->getData('context');
$currentStore = $viewModel->getCurrentStore();
$media_url = $currentStore->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);
?>
<?php if ($viewModel->isEnabled() && $viewModel->isEnabledOnOtherStores()): ?>
    <?php $websites = $viewModel->getWebsites(); ?>
    <!-- Languages Switch -->
    <div class="dropdown dropdown-switcher language switcher-language" id="switcher-store">
        <div class="actions dropdown options switcher-options">
            <div class="metaNav-item language-switch">
                <?php $id = $context . ($block->getIdModifier() ? '-' . $block->getIdModifier() : '') ?>
                <div class="switcher language switcher-language" data-ui-id="language-switcher"
                     id="switcher-language<?php /* @escapeNotVerified */
                     echo $id ?>">
                    <div class="actions dropdown options switcher-options">

                        <div class="action toggle switcher-trigger" id="switcher-language-trigger<?php /* @escapeNotVerified */
                        echo $id ?>" data-storelanguage="<?= $currentStore->getCode()?>">
                            <strong class="view-current-store-switch view-<?php echo $block->escapeHtml($block->getCurrentStoreCode()) ?>">
                                <span>
                                    <img class="lazy" src="<?php echo $media_url; ?>flags/<?php echo $currentStore->getCode(); ?>.png" />
                                        <span class="view-current-store-switch-title">
                                          <?php //echo $block->escapeHtml($viewModel->getCurrentWebsite()->getName());
                                          echo $currentStore->getName();
                                          ?>
                                        </span>
                                </span>
                            </strong>
                        </div>
                        <ul class="dropdown-menu dropdown switcher-dropdown"
                            data-mage-init='{"dropdownDialog":{
                            "appendTo":"#switcher-language<?php /* @escapeNotVerified */
                            echo $id ?> > .options",
                            "triggerTarget":"#switcher-language-trigger<?php /* @escapeNotVerified */
                            echo $id ?>",
                            "closeOnMouseLeave": false,
                            "triggerClass":"active",
                            "parentClass":"active",
                            "buttons":null}}'>
                            <?php foreach ($websites as $website): //if($website->getCode() =='alogicbusiness') continue;
                            ?>

                                <?php /** @var \Magento\Store\Model\Store $_store */?>
                                <?php foreach ($website->getStoreCollection() as $_store):  /*if($_store->getCode() == 'dk' || $_store->getCode() == 'no') continue;*/ ?>
                                    <?php if ($_store->getId() != $block->getCurrentStoreId() && $_store->isActive() && $viewModel->isEnabled($_store)): ?>
                                        <li class="view-<?php echo $block->escapeHtml($_store->getCode()); ?> switcher-option" data-storelanguage="<?php echo $block->escapeHtml($_store->getCode())?>">
                                            <a href="#" data-post='<?php /* @escapeNotVerified */
                                            echo $block->getTargetStorePostData($_store); ?>'>
                                        <img class="lazy" src="<?php echo $media_url; ?>flags/<?php echo $_store->getCode(); ?>.png" />

                                                <?php echo $_store->getName(); ?>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; ?>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>

